Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.processors
Class OneArgProcessor

    java.lang.Object
      org.joseki.server.processors.ProcessorCom
          org.joseki.server.processors.OneArgProcessor

All Implemented Interfaces:
  Loadable, Processor

Direct Known Subclasses:
  AddProcessor, RemoveProcessor

public abstract class OneArgProcessor
extends ProcessorCom

General template for any operation that takes exactly one model as argument

Version:
  $Id: OneArgProcessor.java,v 1.7 2004/04/30 14:13:11 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from interface org.joseki.server.Processor
`ARGS_ONE, ARGS_ZERO, ARGS_ZERO_OR_ONE`

Constructor Summary
`OneArgProcessor(java.lang.String n, int lockNeeded, int mutating)`

Method Summary
`int` | `argsNeeded()` Return the number of argument models this operation expects in the input request.
`com.hp.hpl.jena.rdf.model.Model` | `exec(Request request)` Execute the operation.
`abstract com.hp.hpl.jena.rdf.model.Model` | `execOneArg(ModelSource src, com.hp.hpl.jena.rdf.model.Model arg, Request request)`

Methods inherited from class org.joseki.server.processors.ProcessorCom
`init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.joseki.server.module.Loadable
`getInterfaceURI`

Constructor Detail

### OneArgProcessor

    public OneArgProcessor(java.lang.String n,
                           int lockNeeded,
                           int mutating)

Method Detail

### argsNeeded

    public int argsNeeded()

  Description copied from interface: `Processor`
  Return the number of argument models this operation expects in the input request. For HTTP, this is zero or one.

### exec

    public com.hp.hpl.jena.rdf.model.Model exec(Request request)
                                         throws ExecutionException

  Description copied from interface: `Processor`
  Execute the operation.

  Returns:
    Model Should not be null.
  Throws:
    `ExecutionException`
  See Also:
    `Processor.exec(Request)`

### execOneArg

    public abstract com.hp.hpl.jena.rdf.model.Model execOneArg(ModelSource src,
                                                               com.hp.hpl.jena.rdf.model.Model arg,
                                                               Request request)
                                                        throws com.hp.hpl.jena.rdf.model.RDFException,
                                                               ExecutionException

  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`
    `ExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.